import 'package:imagini/api/api_provider.dart';
import 'package:imagini/models/api/response/login_response.dart';

class ImaginiAPIRepository {
  APIProvider _apiProvider;

  ImaginiAPIRepository(this._apiProvider);

  Stream<LoginResponse> login(String user, password) {
    return Stream.fromFuture(_apiProvider.login(user, password));
  }
}
