import 'dart:async';

import 'package:imagini/core/imagini_application.dart';
import 'package:imagini/api/imagini_api_repository.dart';

import 'package:imagini/models/api/response/login_response.dart';

class SplashBloc{

  final ImaginiApplication _application;

  final _loginController = StreamController<LoginResponse>();
  Stream<LoginResponse> get loginResult => _loginController.stream;

  SplashBloc(this._application){
    _init();
  }

  void _init(){
    // Do Initial Load
    initializeLogin();
  }

  void dispose(){
    _loginController.close();
  }

  initializeLogin(){
    ImaginiAPIRepository imaginiAPI = _application.imaginiAPI;
    _loginController.addStream(imaginiAPI.login("admin", "admin2"));

    // imaginiAPI.login("admin", "admin1").listen((LoginResponse lr) {
    // });
  }
}
